Package net.snowflake.client.core.arrow.tostringhelpers

## Class ArrowObjectStringRepresentationBuilder

- java.lang.Object
- - net.snowflake.client.core.arrow.tostringhelpers.ArrowStringRepresentationBuilderBase
  - - net.snowflake.client.core.arrow.tostringhelpers.ArrowObjectStringRepresentationBuilder

    @SnowflakeJdbcInternalApi
    public class ArrowObjectStringRepresentationBuilder
    extends ArrowStringRepresentationBuilderBase

### Constructor Summary

Constructors
`ArrowObjectStringRepresentationBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrowStringRepresentationBuilderBase` `appendKeyValue​(String key, String value, SnowflakeType valueType)`

### Methods inherited from class net.snowflake.client.core.arrow.tostringhelpers.ArrowStringRepresentationBuilderBase

`add, quoteIfNeeded, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArrowObjectStringRepresentationBuilder

    public ArrowObjectStringRepresentationBuilder()

### Method Detail

#### appendKeyValue

    public ArrowStringRepresentationBuilderBase appendKeyValue​(String key,
                                                               String value,
                                                               SnowflakeType valueType)